Package org.italiangrid.voms.request

# Interface VOMSProtocolListener

All Known Implementing Classes:
  `NullListener`

public interface VOMSProtocolListener
A listener that is notified of low-level VOMS protocol messages

Author:
  cecco

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyHTTPRequest(String url)`
Informs that a VOMS HTTP GET request is being issued for the URL passed as argument
`void`
`notifyLegacyRequest(String xmlLegacyRequest)`
Informs that a VOMS legacy request is being issued
`void`
`notifyReceivedResponse(VOMSResponse r)`
Informs that a VOMSResponse was received from a remote VOMS server

## Method Details

### notifyHTTPRequest

void notifyHTTPRequest(String url)
Informs that a VOMS HTTP GET request is being issued for the URL passed as argument

Parameters:
  `url` - the request url

### notifyLegacyRequest

void notifyLegacyRequest(String xmlLegacyRequest)
Informs that a VOMS legacy request is being issued

Parameters:
  `xmlLegacyRequest` - a string representation of the XML legacy request

### notifyReceivedResponse

void notifyReceivedResponse(VOMSResponse r)
Informs that a VOMSResponse was received from a remote VOMS server

Parameters:
  `r` - the received `VOMSResponse`